package Hwork_2_Ch1;
/*
Необходимо реализовать игру. Алгоритм игры должен быть записан в
отдельном методе. В методе main должен быть только вызов метода с
алгоритмом игры.
Условия следующие:
Компьютер «загадывает» (с помощью генератора случайных чисел) целое
число M в промежутке от 0 до 1000 включительно. Затем предлагает
пользователю угадать это число. Пользователь вводит число с клавиатуры.
Если пользователь угадал число M, то вывести на экран "Победа!". Если
введенное пользователем число меньше M, то вывести на экран "Это число
меньше загаданного." Если введенное число больше, то вывести "Это число
больше загаданного." Продолжать игру до тех пор, пока число не будет отгадано
или пока не будет введено любое отрицательное число.
 */
import java.util.Scanner;

public class Task10 { public static void main(String[] args) {
    gameGuess();
}
    /**Игра с угадыванием числа
     *
     */
    public static void gameGuess(){
        int m = (int)( Math.random() * 1001 ); //Генерурием число m [0;1000]
        // System.out.println(m);

        Scanner scanner = new Scanner(System.in);
        int n = 0;

        while (n != m) {
            n = scanner.nextInt(); //Угадываем число
            if (n < m) {
                System.out.println( "Это число меньше загаданного.");
            }
            if (n > m) {
                System.out.println( "Это число больше загаданного." );
            }
        }
        System.out.println("Победа!");
    }
}
